/*
Copyright 2020 Adobe. All rights reserved.
This file is licensed to you under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License. You may obtain a copy
of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under
the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
OF ANY KIND, either express or implied. See the License for the specific language
governing permissions and limitations under the License.
*/

package com.adobe.marketing.mobile.flutter;

import com.adobe.marketing.mobile.PlacesMonitorLocationPermission;

public class FlutterACPPlacesMonitorDataBridge {
    public final static String ACP_PLACES_MONITOR_LOCATION_PERMISSION_WHILE_USING_APP = "WHILE_USING_APP";
    public final static String ACP_PLACES_MONITOR_LOCATION_PERMISSION_ALWAYS_ALLOW = "ALWAYS_ALLOW";

    public static PlacesMonitorLocationPermission placesMonitorLocationPermissionFromString(final String placesMonitorLocationPermission) {
        if (placesMonitorLocationPermission == null) {
            return PlacesMonitorLocationPermission.NONE;
        }

        if (placesMonitorLocationPermission.equals(ACP_PLACES_MONITOR_LOCATION_PERMISSION_ALWAYS_ALLOW)) {
            return PlacesMonitorLocationPermission.ALWAYS_ALLOW;
        } else if (placesMonitorLocationPermission.equals(ACP_PLACES_MONITOR_LOCATION_PERMISSION_WHILE_USING_APP)) {
            return PlacesMonitorLocationPermission.WHILE_USING_APP;
        }

        return PlacesMonitorLocationPermission.NONE;
    }
}
